jack-dssi-host(1)

NAME
jack-dssi-host

SYNOPSIS
jack-dssi-host [-v] [-a] [-n] [-p <projdir>] [-<i>] <libname>[:<label>] [...]

DESCRIPTION
jack-dssi-host is a simple DSSI host that listens for MIDI events on an ALSA sequencer port, delivers them to DSSI synths plugins, and outputs the resulting audio via JACK.
jack-dssi-host can host up to 16 instances of DSSI synth plugins, each of which is sequentially assigned a MIDI channel from 1 to 16. Plugin outputs (if `-a' is not specified) are connectioned sequentially to the available JACK physical output ports, wrapping back to the first JACK port whenever the available ports are exhausted. Plugin user interfaces (UIs) are started for each instance (if '-n' is not specified.) jack-dssi-host will exit when the last plugin UI has exited.
As a special case, if jack-dssi-host is started with a name other than `jack-dssi-host', and if that name (plus an `.so' suffix) can be found in the DSSI_PATH search path (see ENVIRONMENT below) as a valid plugin shared library, and if no further command line arguments are given, then the first plugin in that library will be loaded automatically. This provides a convenient way to run a plugin by simply symlinking the plugin's basename to jack-dssi-host.

OPTIONS

-v  Verbose mode.

-a  Disable automatic connection of outputs to JACK physical outputs.

-n  Disable automatic starting of plugin user interfaces (UIs).

-p <projdir>
    The project directory to pass to both plugin and UI.

-<i>
    Number of instances of the following plugin to run (max 16 total, default 1).

<libname>
    Name of the DSSI plugin shared library (.so) to load. This may be an absolute path to the library file, or just the filename itself, in which case the DSSI search path is searched (see ENVIRONMENT below).

<label>
    the label of the plugin to load from the library. If this is omitted, the first plugin in the library is used.

[...]
    Optionally more instance counts, plugins and labels.

EXAMPLE
jack-dssi-host -2 lib1.so -1 lib2.so:fuzzy
Runs two instances of the first plugin found in lib1.so, assigned to MIDI channels 0 and 1 and connected to the first available JACK outputs, and one instance of the "fuzzy" plugin in lib2.so with MIDI channels 2 and 3 and connected to the next available JACK outputs.

ENVIRONMENT
jack-dssi-host will search for plugin shared libraries in the directories specified by the environment variable DSSI_PATH, which is a colon-separated list of directories. If DSSI_PATH is not set, a default search path of /usr/lib/dssi, /usr/local/lib/dssi, and (assuming the environment variable HOME is set,) $HOME/.dssi is used.

AUTHOR
This manual page was originally created by Mark Hymers from the help text of the application, for the Debian project (but may be freely used by others).